<?php


namespace AutoAdmin\Bundle\BrickBuilder\Model;


class Setting
{
    protected string $name;
    protected $defaultValue = null;
    protected ?string $type = null;
    protected ?string $formType = null;
    protected ?array $formTypeOptions = [];

    public static function new(string $name): self
    {
        $setting = new self();
        $setting->setName($name);

        return $setting;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getDefaultValue()
    {
        return $this->defaultValue;
    }

    public function setDefaultValue($defaultValue): self
    {
        $this->defaultValue = $defaultValue;

        return $this;
    }

    public function getType(): ?string
    {
        return $this->type;
    }

    public function setType(?string $settingType): self
    {
        $this->type = $settingType;

        return $this;
    }

    public function getFormType(): ?string
    {
        return $this->formType;
    }

    public function setFormType(string $formType): self
    {
        $this->formType = $formType;

        return $this;
    }

    public function getFormTypeOptions(): array
    {
        return $this->formTypeOptions;
    }

    public function setFormTypeOptions(array $formTypeOptions): self
    {
        $this->formTypeOptions = $formTypeOptions;

        return $this;
    }


}
